Bug 78747 - SLIDESHOW: SVG Graphics Do Not Display Properly During Slideshow
Summary: SLIDESHOW: SVG Graphics Do Not Display Properly During Slideshow
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA (target:4.3.0)
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-15 16:02 UTC by laurentrepond
Modified: 2015-04-01 14:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
A single-slide impress document with several .svg elements present. It displays correctly while editing the file but does not display correctly when viewing it in Slideshow mode. (101.39 KB, application/vnd.oasis.opendocument.presentation)
2014-05-15 16:02 UTC, laurentrepond
Details
Screenshot of Slideshow View of SVG Display Error (48.34 KB, image/png)
2014-05-18 16:08 UTC, laurentrepond
Details
How it looks in LibreOffice 4.3.0 (48.51 KB, image/png)
2014-05-18 16:21 UTC, Jorendc
Details
How it looks in LibreOffice 4.3.0 alpha 1 under Mac OS X (63.49 KB, image/png)
2014-05-19 08:07 UTC, laurentrepond
Details

Note You need to log in before you can comment on or make changes to this bug.
Description laurentrepond 2014-05-15 16:02:24 UTC
Created attachment 99104 [details]
A single-slide impress document with several .svg elements present. It displays correctly while editing the file but does not display correctly when viewing it in Slideshow mode.

Problem description: 
When a .svg image is inserted into an impress document, it does not display correctly in the slideshow view (even though it looks fine while it is being edited).


Steps to reproduce:
1. Open a new impress file
2. Insert any .svg image
3. Open the slideshow view

Current behavior:
.svg images are not displayed correctly with missing contours, colours and details.

Expected behavior:
.svg images should be displayed correctly, as can be seen in an image viewer for example.
              
Operating System: Mac OS X
Version: 4.2.4.2 release
Comment 1 Jorendc 2014-05-17 09:50:39 UTC
I can confirm this behavior, tested using Windows 8.1 with LibreOffice 4.2.4.2.
If you set the transparancy to 0% the image is shown correctly. So using a 'transparancy' result in this behavior.

I can NOT reproduce using Version: 4.3.0.0.alpha1+
Build ID: 48eccfb812284f43ba24c3be3903537ce954944d
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-16_00:35:19

If the fix is backported to 4.2-branch, it may be included in 4.2.5 to. Otherwise we have to wait for the release of 4.3.0 for this fix.

Kind regards,
Joren
Comment 2 laurentrepond 2014-05-18 16:08:59 UTC
Created attachment 99279 [details]
Screenshot of Slideshow View of SVG Display Error

Here is a screenshot of the issue. The problem does not only seem to affect .svg images that have been given a non-zero transparency, but also a regular .svg image that has an alpha-channel.
Comment 3 laurentrepond 2014-05-18 16:11:56 UTC
Thank you Jorendc for your reply. Can you confirm if the same issue also appears for .svg images that simply have an alpha-channel? I have provided an attachment that shows (see equations).
Comment 4 Jorendc 2014-05-18 16:21:23 UTC
Created attachment 99281 [details]
How it looks in LibreOffice 4.3.0

You can retest yourself by downloading version 4.3 over here: http://dev-builds.libreoffice.org/daily/master/

Kind regards,
Joren
Comment 5 laurentrepond 2014-05-19 08:07:48 UTC
Created attachment 99305 [details]
How it looks in LibreOffice 4.3.0 alpha 1 under Mac OS X

I have attached a screenshot of the slideshow view in 4.3.0. As can be seen, although the transparency is now functional, the colour gradient of the green rectangle is corrupted and the .svg equations do not display correctly.
Comment 6 laurentrepond 2014-05-19 08:10:20 UTC
Thank you Joren, I have downloaded the Alpha and can confirm that the transparency is now functional, however, there are still some issues. I have attached a screenshot.
Comment 7 Jorendc 2014-06-12 15:22:22 UTC
mmh, strange. I can not reproduce that. marking as UNCONFIRMED again.
Comment 8 laurentrepond 2014-06-15 12:44:41 UTC
Thank you for all the attention you are giving this. I am now running Libreoffice 4.2.3 on Linux and can confirm that this is not an issue on Linux as least.
Comment 9 Owen Genat (retired) 2014-07-22 05:08:10 UTC
(In reply to comment #5)
> How it looks in LibreOffice 4.3.0 alpha 1 under Mac OS X
> 
> As can be seen, although the transparency is now functional, the colour 
> gradient of the green rectangle is corrupted and the .svg equations do 
> not display correctly.

Both the green rectangle and equations render as expected (during edit and slideshow) under MacOS 10.6.8 using v4.3.0.3 Build ID: fcd3838c4097f7817b5b3984fd88a44e1edd8548 (x86). Version set back 4.2.4.2 (this field indicates the earliest version that displays the problem). Please check again using v4.3.0.3 to see if the problem persists.

Status set to NEEDINFO.
Comment 10 QA Administrators 2015-02-19 04:36:30 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 11 QA Administrators 2015-04-01 14:51:53 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team This NEEDINFO Message was generated on: 2015-04-01

Warm Regards,
QA Team